Name: aseqview
Version: 0.2.2
Release: alt1

Summary: ASeqView - ALSA sequencer event viewer/filter
Group: Sound
License: GPL
Url: http://www.alsa-project.org/~iwai/alsa.html
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: http://www.alsa-project.org/~iwai/%name-%version.tar.gz
Source1: %name.png

BuildPreReq: menu-devel

# Automatically added by buildreq on Sat Sep 25 2004
BuildRequires: XFree86-libs glib-devel gtk+-devel libalsa-devel libcap-devel

%description
ASeqView is an ALSA sequencer user-client which works as event viewer.
It visualizes received events, e.g. note-on/off, controls, pitch wheels,
using bar graphs, as often seen in many sequencer programs. Using this
viewer, even a simple command line sequencer like pmidi or playmidi1
becomes a cool one with graphical interface :-)

Another feature of ASeqView is redirection of events. ASeqView can
output the received events to subscription ports with some modification
like channel mute or pitch change. Since this works as a real-time
filter client, such modifications can be applied also in real-time
without complexity.

%prep
%setup -q

%build
%configure
%make_build

%install
%makeinstall

# .desktop
%__mkdir_p %buildroot%_datadir/applications
%__cat <<__DESKTOP__ >%buildroot%_datadir/applications/%name.desktop
[Desktop Entry]
Name=ASeqView
Comment=ALSA sequencer event viewer/filter
Exec=%name
Icon=%name
Terminal=false
Type=Application
Categories=Application;AudioVideo
__DESKTOP__

# menu
%__mkdir_p %buildroot%_menudir
freedesktop2menu.pl %name "Multimedia/%group" \
    %buildroot%_datadir/applications/%name.desktop \
    %buildroot%_menudir/%name

# icon
%__install -pD -m644 %SOURCE1 %buildroot%_datadir/pixmaps/%name.png

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
%_man1dir/*
%_menudir/%name
%_datadir/applications/*
%_datadir/pixmaps/*
%doc README ChangeLog AUTHORS

%changelog
* Sat Sep 25 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.2.2-alt1
- 0.2.2
- .desktop, menu files (thanks Suse for aseqview.png)

* Wed Jan 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.2.1-alt1
- 0.2.1

* Sat Nov 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.0-alt1
- 0.2.0

* Mon Oct 14 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.1.4-alt2
- Rebuild with gcc-3.2

* Fri May 24 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.1.4-alt1
- First build for Sisyphus. 
